import threading
import Event
import Queue
from logger import Logger

class DynHandler(threading.Thread):
    def __init__(self, eventq):
        threading.Thread.__init__(self)
        self.eventq = eventq
        self.setDaemon(True)

    def run(self):
        while True:
            event = self.eventq.get()
            try:
                event.prepare()
                Logger.debug("Processing event %s" % str(event))
                event.process()
            except Event.IllegalEventException, e:
                Logger.log("Some failure: %s when processing event %s" % (e.msg, str(event)))
